#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <signal.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "xc.h"

void checkclock()
{
   long dummy;
   int t;

   if ((clockLine != 0) && (currTime != (dummy=time(NULL))))
   {
      currClock -= dummy - currTime;
      currTime = dummy;

      /* takes care of negative time */

      t = (currClock/60 != 0 ? abs((int) (currClock%60)) : currClock%60);

      sprintf(text[clockLine]+clockCol, "%d : %02d  ",currClock/60, t);
      XClearArea(theDisplay, theWindow, 0, WindowSize+1+15*(clockLine+1),
          250, 15, False);   /* 250 hardcoded in !! */
      XDrawString(theDisplay, theWindow, theGC,
          10, WindowSize + 15*(clockLine+2),
          &text[clockLine][0], strlen(&text[clockLine][0]));
      XFlush(theDisplay);
   }
}

void initclock()
{
   currClock=0; currTime=time(NULL); clockLine=0; clockCol = 0;
}
